package com.example.civilizedcity.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 测评作答详情;
 * @author : http://www.chiner.pro
 * @date : 2022-12-13
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "测评作答详情",description = "")
@TableName("ta_check_answer_item")
public class TaCheckAnswerItem implements Serializable,Cloneable{
    /** 答案ID */
    @ApiModelProperty(name = "答案ID",notes = "")
    @TableId(value = "item_id", type = IdType.INPUT)
    private String itemId ;
    /** 问题ID;来源点位为题 */
    @ApiModelProperty(name = "问题ID",notes = "来源点位为题")
    private String quId ;
    /** 作答ID;来源测评作答 */
    @ApiModelProperty(name = "作答ID",notes = "来源测评作答")
    private String answerId ;
    /** 其他问题;其他问题时, qu_id 不存在 */
    @ApiModelProperty(name = "其他问题",notes = "其他问题时, qu_id 不存在")
    private Integer isCustom ;
    /** 问题描述 */
    @ApiModelProperty(name = "问题描述",notes = "")
    private String quTitle ;
    /** 标准答案 */
    @ApiModelProperty(name = "标准答案",notes = "")
    private String standAnswer ;
    /** 答案 */
    @ApiModelProperty(name = "答案",notes = "")
    private String answer ;
    /** 得分 */
    @ApiModelProperty(name = "得分",notes = "")
    private Double score ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 作答人 */
    @ApiModelProperty(name = "作答人",notes = "")
    private String createUser ;
    /** 作答时间 */
    @ApiModelProperty(name = "作答时间",notes = "")
    private LocalDateTime createDate ;

}